package sacooliveros.whatsappweb.bean;

import java.util.Optional;

import org.springframework.stereotype.Component;

import it.auties.whatsapp.api.Whatsapp;

@Component
public class WhatsappBean {
    
    Optional<Whatsapp> w = Whatsapp.webBuilder().firstConnection().registered();

    public Whatsapp getWhatsapp() {
        if(w.isEmpty()){
            w = Whatsapp.webBuilder().lastConnection().registered();
            return w.orElse(null);
        }else{
            return w.get();
        }
    }

}
